Altostrat Studio is here — the AI-native network operations IDE for engineers running production. Terminal, diagrams, runbooks, and Copilot in one workspace. Get started →
curl --request POST \
--url https://v1.api.altostrat.io/workflows/{workflowId}/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"context": {
"user_id": "usr_123",
"site_id": "site_456"
}
}
'{
"id": "fl_run_01h3j4k5l6m7n8p9q0r1s2t3u4",
"status": "completed",
"error_message": "Webhook request failed: 503 Service Unavailable",
"started_at": "2025-10-31T12:00:00.000000Z",
"completed_at": "2025-10-31T12:00:05.000000Z",
"duration_in_seconds": 5,
"logs": [
{
"id": "fl_log_01h3j4k5l6m7n8p9q0r1s2t3u4",
"node_id": "n2",
"component_id": "webhook",
"status": "success",
"output": {
"status": 200,
"body": {
"message": "ok"
}
},
"created_at": "2025-10-31T12:00:02.000000Z"
}
]
}Manually triggers the execution of a workflow. The workflow will run asynchronously in the background. The response acknowledges that the execution has been accepted and provides the ID of the new workflow run.
curl --request POST \
--url https://v1.api.altostrat.io/workflows/{workflowId}/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"context": {
"user_id": "usr_123",
"site_id": "site_456"
}
}
'{
"id": "fl_run_01h3j4k5l6m7n8p9q0r1s2t3u4",
"status": "completed",
"error_message": "Webhook request failed: 503 Service Unavailable",
"started_at": "2025-10-31T12:00:00.000000Z",
"completed_at": "2025-10-31T12:00:05.000000Z",
"duration_in_seconds": 5,
"logs": [
{
"id": "fl_log_01h3j4k5l6m7n8p9q0r1s2t3u4",
"node_id": "n2",
"component_id": "webhook",
"status": "success",
"output": {
"status": 200,
"body": {
"message": "ok"
}
},
"created_at": "2025-10-31T12:00:02.000000Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://altostrat.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
Standard JWT for user sessions obtained via Altostrat authentication.
The prefixed ID of the workflow (e.g., fl_...).
An optional context object to pass initial data to the workflow's trigger node.
A key-value map of initial data for the workflow.
{
"user_id": "usr_123",
"site_id": "site_456"
}The workflow execution has been accepted and is running asynchronously.
The unique prefixed identifier for the workflow run.
"fl_run_01h3j4k5l6m7n8p9q0r1s2t3u4"
The current status of the workflow run.
pending, running, completed, failed, awaiting_ui_interaction "completed"
If the run failed, this contains the error message.
"Webhook request failed: 503 Service Unavailable"
The timestamp when the workflow run started.
"2025-10-31T12:00:00.000000Z"
The timestamp when the workflow run finished (either completed or failed).
"2025-10-31T12:00:05.000000Z"
The total duration of the workflow run in seconds.
5
An ordered list of log entries for each step of the execution. Only returned when retrieving a single run.
Show child attributes
Was this page helpful?